import { Action, State } from "./context";
export declare enum Reducer {
    RESET = "RESET",
    RESET_PAYMENT = "RESET_PAYMENT",
    SET_LOADED = "SET_LOADED",
    SET_USER = "SET_USER",
    SET_AUTH_STATE_LISTENER = "SET_AUTH_STATE_LISTENER",
    SET_AUTH_STATE_LOADING = "SET_AUTH_STATE_LOADING",
    SET_STRIPE = "SET_STRIPE",
    SET_STRIPE_ACCOUNT = "SET_STRIPE_ACCOUNT",
    SET_PAYMENT_MODAL_VISIBLE = "SET_PAYMENT_MODAL_VISIBLE",
    SET_SELECTED_PRODUCT = "SET_SELECTED_PRODUCT",
    SET_PAYMENT_ERROR = "SET_PAYMENT_ERROR",
    SET_PAYMENT_PROCESSING = "SET_PAYMENT_PROCESSING",
    SET_PROMOTION_CODE = "SET_PROMOTION_CODE",
    SET_PAYMENT_SUCCESSFUL = "SET_PAYMENT_SUCCESSFUL",
    SET_SUBSCRIPTIONS = "SET_SUBSCRIPTIONS"
}
export declare const Reducers: {
    RESET: (state: any) => {
        liveMode: any;
        loaded: boolean;
        stripeAccount?: string | undefined;
        productPageUrl?: string | undefined;
        user: any;
        authStateListener: () => void;
        authStateLoading: boolean;
        stripe: import("stripe").Stripe | null;
        activeSubscriptions?: import("stripe").Stripe.Subscription[] | undefined;
        subscriptions?: import("stripe").Stripe.Subscription[] | undefined;
        product?: import("..").Product | undefined;
        pricing?: import("..").SelectedPricing | undefined;
        promotionCode?: import("stripe").Stripe.PromotionCode | undefined;
        modalOptions: import("..").ModalOptions;
        billingOptions: import("..").BillingOptions;
        paymentModalVisible: boolean;
        paymentError: string;
        paymentSuccessful: boolean;
        paymentProcessing: boolean;
        onPaymentSuccessful: () => void;
        onPaymentError: (error: Error) => void;
        onError: (error: import("..").BillingError) => void;
    };
    RESET_PAYMENT: (state: any) => any;
    SET_LOADED: (state: any) => any;
    SET_STRIPE_ACCOUNT: (state: any) => any;
    SET_USER: (state: any, action: Action) => any;
    SET_AUTH_STATE_LISTENER: (state: any, action: Action) => any;
    SET_AUTH_STATE_LOADING: (state: any, action: Action) => any;
    SET_STRIPE: (state: any, action: Action) => any;
    SET_PAYMENT_MODAL_VISIBLE: (state: any, action: Action) => any;
    SET_SELECTED_PRODUCT: (state: any, action: Action) => any;
    SET_PAYMENT_ERROR: (state: any, action: Action) => any;
    SET_PAYMENT_PROCESSING: (state: any, action: Action) => any;
    SET_PROMOTION_CODE: (state: any, action: Action) => any;
    SET_PAYMENT_SUCCESSFUL: (state: any) => any;
    SET_SUBSCRIPTIONS: (state: any, action: Action) => any;
};
declare const _default: (state: State | undefined, action: Action) => any;
export default _default;
